/*
 * Class H2E
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1387 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1387 [] = {0xFF01,1551,1386,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1387 [] = {0xFF01,1386,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1387 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1387 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1387 [] = {0xFF01,1386,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1387 [] = {0xFF01,1386,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1387 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1387 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1387 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1387 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1387 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1387 [] = {0xFF01,1386,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1387 [] = {0xFF01,1592,1389,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1387 [] = {0xFF01,1592,1385,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1387 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1387 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1387 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1387 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1387 [] = {0xFF01,213,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1387 [] = {0xFF01,1395,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1387 [] = {0xFF01,1384,0xFFFF};


static const struct desc_info desc_1387[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1387), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1387), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1387), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1387), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1387), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1387), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1387), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1387), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1387), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1387), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1387), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1387), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0AD5 /*1386*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1387), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 12894, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12895, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12896, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 28551, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28552, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0AD9 /*1388*/), 28553, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8088, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8089, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8090, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8091, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8092, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8093, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8094, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8095, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8096, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8097, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8098, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8099, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8100, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8101, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8102, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8103, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8104, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8105, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8106, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8107, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8108, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8109, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8110, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8111, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8112, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8113, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8114, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8115, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8116, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8117, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8118, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6525, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6526, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6527, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6528, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6529, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6530, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6531, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6532, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6533, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6534, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6517, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6518, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6519, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6520, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6521, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6522, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6523, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6524, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 8553, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 8551, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 8552, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8554, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8555, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 8556, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 8557, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0ADB /*1389*/), 4472, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0AD3 /*1385*/), 4473, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4474, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4475, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4476, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1387), 4477, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1387), 4471, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30638, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30639, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30640, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30641, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30642, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30643, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30644, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30645, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30646, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1387), 30647, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30648, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0AD9 /*1388*/), 30649, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30650, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30651, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30652, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1387), 30653, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30609, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1387), 30610, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1387), 30611, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0AD9 /*1388*/), 30612, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30613, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1387), 30614, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30615, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 30616, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30617, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30618, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30619, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30620, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30621, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30622, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30623, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30624, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30625, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30626, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30627, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 30628, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 30629, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 30630, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30631, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30632, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30633, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30634, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 30635, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30636, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30637, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30928, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1387), 30943, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x058D /*710*/), 30929, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30930, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30931, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30932, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30933, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30934, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30935, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30936, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30937, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30938, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30939, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30940, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1387), 30941, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 30942, 0xFFFFFFFF},
};
void Init1387(void)
{
	IDSC(desc_1387, 0, 1386);
	IDSC(desc_1387 + 1, 1, 1386);
	IDSC(desc_1387 + 32, 1503, 1386);
	IDSC(desc_1387 + 35, 1138, 1386);
	IDSC(desc_1387 + 38, 1063, 1386);
	IDSC(desc_1387 + 69, 1285, 1386);
	IDSC(desc_1387 + 87, 1363, 1386);
	IDSC(desc_1387 + 90, 1610, 1386);
	IDSC(desc_1387 + 94, 1551, 1386);
	IDSC(desc_1387 + 101, 858, 1386);
	IDSC(desc_1387 + 146, 1588, 1386);
}


#ifdef __cplusplus
}
#endif
